capture log close
log using wflec-dual-data02-varselect, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dual workflow - data 02 select and clone

local pgm wflec-dual-data02-varselect
local dte 2017-06-16
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 setup

local srcdata rr-issp-russia01
local savdata wflec-dual-data01

use `srcdata', clear
datasignature confirm

//  #2  select variables for analysis

keep v4 v5 v6 v7 v8 v9 /// outcomes about working women
    v200 v201 v202 v288 v55 v205 v69 v250 v239 // regressors

//  #3 add metadata and save dataset

label data "`savdata'.dta | ISSP Russia 2002 Working Women | `dte'"
notes: `savdata'.dta | `tag' | selected variables with clones
datasignature set, reset
save `savdata', replace
notes _dta

//  #4 check the new dataset

use `savdata', clear
datasignature confirm
codebook, compact

capture noisily cf _all using `srcdata'.dta, all // see changes

log close
exit
