capture log close
log using wflec-template-clean-list-random-cases, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  template - list random cases

global pgm wflec-template-clean-list-random-cases
global dte 2017-06-18
global who Scott Long
global tag "$pgm.do $who $dte"

//  #1 load data and create ID

use wf-lfp, clear
gen ID = _n

//  #2 create random selection variable

set seed 1951
tempvar selvar // variable disappears when do file ends.
gen `selvar' = int( (runiform()*_N)+ 1 )
label var `selvar' "Random numbers from 1 to _N"
sort inc // to list records in order
list ID inc if `selvar' <= 20, clean

//  #3 alternative method

use wf-lfp, clear
gen ID = _n
set seed 1951
tempvar selvar // variable disappears when do-file ends
gen `selvar' = runiform()
label var `selvar' "Uniform random number"
sort `selvar' // place records in random order
sort inc in 1/20 // sort 1st 20 records by income
list ID inc in 1/20, clean

log close
exit
